Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.exceptions
[Java] Class GrailsQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.orm.hibernate.exceptions.GrailsQueryException

    public class GrailsQueryException
    extends GrailsException

Base exception class for errors related to Domain class queries in Grails.

Authors:
  Graeme Rocher

Constructor Summary
`GrailsQueryException()`
`GrailsQueryException(java.lang.String message, java.lang.Throwable cause)`
`GrailsQueryException(java.lang.String message)`
`GrailsQueryException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### GrailsQueryException

    public GrailsQueryException()

### GrailsQueryException

    public GrailsQueryException(java.lang.String message, java.lang.Throwable cause)

### GrailsQueryException

    public GrailsQueryException(java.lang.String message)

### GrailsQueryException

    public GrailsQueryException(java.lang.Throwable cause)

Groovy Documentation